import {postAction,downFilePost} from '@/api/manage'
const prefix = '/manager/ciop';

// 楼长KPI管理
let initSubstName = (params) => postAction(prefix + "/lzWage/initSubstName" , params);
let getSchoolNames  = (params) => postAction(prefix + "/lzWage/getSchoolNames" , params);
let uploadExcel = (params) => downFilePost(prefix + "/lzWage/excelOut" , params);
let downloadMoBan = (params) => downFilePost(prefix + "/lzWage/downloadMoBan" , params);
let lzSalaryList = (params) => postAction(prefix + "/lzWage/list" , params);
let lzSalaryDelete = (params) => postAction(prefix + "/lzWage/delete", params);
let lzSalaryInsert = (params) => postAction(prefix + "/lzWage/insert" , params);
let lzSalaryUpdate = (params) => postAction(prefix + "/lzWage/update",params);
//生成楼长上月薪酬
let createSalary = (params) => postAction(prefix + "/lzWage/createSalary",params);

export {
    initSubstName,
    getSchoolNames,
    uploadExcel,
    downloadMoBan,
    lzSalaryList,
    lzSalaryDelete,
    lzSalaryInsert,
    lzSalaryUpdate,
    createSalary
}
